import 'package:betting/view/mobile/scores/football/detail_tournament/tournament_new/tournament_new_controller.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

import '../../../../../../commom/utils/color_utils.dart';


class TournamentNewPage extends GetView<TournamentNewController> {
  @override
  final controller = Get.put(TournamentNewController());

  TournamentNewPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.transparent,
      child: ListView.builder(
        padding: EdgeInsets.zero,
        shrinkWrap: true,
        itemCount: 10,
          itemBuilder: (context, index) {
            return Container(
              margin: EdgeInsets.only(bottom: 8.h),
              child: Row(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  ClipRRect(
                    borderRadius: BorderRadius.circular(8.r),
                    child: SizedBox(
                      height: 100.h,
                      width: 150.w,
                      child: Image.asset('assets/images/test.jpg', fit: BoxFit.fill,),
                    ),
                  ),
                  SizedBox(width: 8.w,),
                  Expanded(
                    child: SizedBox(
                      height: 100.h,
                      child: Column(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          Text('Five talking ponts from sevilla 1-1 Roma (4 -1 on pens)',
                            style: TextStyle(color: ColorUtils.boldWhiteColor, fontSize: 14.sp, fontWeight: FontWeight.bold),),
                          Text("12 hours ago",style: TextStyle(color: Colors.white60),)
                        ],
                      ),
                    ),
                  ),
                ],
              ),
            );
          },),
    );
  }
}
